org.apache.ignite.internal.util.lang.gridfunc

## Class ConcurrentDequeFactoryCallable

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.ConcurrentDequeFactoryCallable

All Implemented Interfaces:
  Serializable, Callable<ConcurrentLinkedDeque8>, IgniteCallable<ConcurrentLinkedDeque8>

    public class ConcurrentDequeFactoryCallable
    extends Object
    implements IgniteCallable<ConcurrentLinkedDeque8>

Deque factory.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentDequeFactoryCallable()`

### Method Summary

Methods
`ConcurrentLinkedDeque8` `call()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConcurrentDequeFactoryCallable

    public ConcurrentDequeFactoryCallable()

### Method Detail

#### call

    public ConcurrentLinkedDeque8 call()

Specified by:
  `call` in interface `Callable<ConcurrentLinkedDeque8>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017